/**********************************************************************
 * $Id: colors.h 172 2006-09-20 10:01:03Z timo $
 *
 * DMT-UX
 * DSL Modem Tool for Unix
 *
 * written by Timo Boettcher
 * inspired by A. Matthoefer
 * with help of Michael Beckers
 *
 * (C) 2006 Timo Boettcher
 * This is free software. You may redistribute copies of it under the
 * terms of the GNU General Public License (Version 2)
 * <http://www.gnu.org/licenses/gpl.html>.
 * There is NO WARRANTY, to the extent permitted by law.
 *
 *********************************************************************/


#ifndef _COLORS_H
#define _COLORS_H

static const unsigned char color_black[ 3 ] = { 0, 0, 0 };
static const unsigned char color_bg[ 3 ] = { 212, 208, 200 };
static const unsigned char color_graph_bg[ 3 ] = { 80, 80, 80 };
static const unsigned char color_graph_grid[ 3 ] = { 105, 105, 105 };
//static const unsigned char color_graph_bitalloc_downstream[ 3 ] = { 132, 169, 255 };
static const unsigned char color_graph_bitalloc_downstream[ 3 ] = { 120, 150, 255 };
//static const unsigned char color_graph_bitalloc_upstream[ 3 ] = { 137, 230, 133 };
static const unsigned char color_graph_bitalloc_upstream[ 3 ] = { 120, 230, 120 };
//static const unsigned char color_graph_snr[ 3 ] = { 150, 150, 150 };
static const unsigned char color_graph_snr[ 3 ] = { 175, 175, 175 };
//static const unsigned char color_graph_noisemargin[ 3 ] = { 255, 255, 120 };
static const unsigned char color_graph_noisemargin[ 3 ] = { 245, 245, 80 };
static const unsigned char color_graph_chancharlog[ 3 ] = { 175, 175, 175 };
static const unsigned char color_graph_noisetext[ 3 ] = { 175, 175, 120 };
static const unsigned char color_graph_errorsecs[ 3 ] = { 175, 120, 120 };
static const unsigned char color_graph_snr_min[ 3 ] = { 175, 120, 120 };
static const unsigned char color_graph_snr_avg[ 3 ] = { 175, 175, 175 };
static const unsigned char color_graph_snr_max[ 3 ] = { 175, 230, 230 };
static const unsigned char color_graph_noisetext_LQ2[ 3 ] = { 155, 155, 155 };
static const unsigned char color_graph_text[ 3 ] = { 200, 200, 200 };
static const unsigned char color_white[ 3 ] = { 255, 255, 255 };
static const unsigned char alpha_invisible[ 1 ] = { 0 };
static const unsigned char alpha_visible[ 1 ] = { 255 };
#endif //_COLORS_H
