/**********************************************************************
 * $Id: dslam-vendors.c 123 2006-09-03 15:39:49Z timo $
 *
 * DMT-UX
 * DSL Modem Tool for Unix
 *
 * written by Timo Boettcher
 * inspired by A. Matthoefer
 * with help of Michael Beckers
 *
 * (C) 2006 Timo Boettcher
 * This is free software. You may redistribute copies of it under the
 * terms of the GNU General Public License (Version 2)
 * <http://www.gnu.org/licenses/gpl.html>.
 * There is NO WARRANTY, to the extent permitted by law.
 *
 *********************************************************************/

#include <string.h>
#include "dslam-vendors.h"

char* dslamvendor(char* vendorid) {

	if (strcmp(vendorid,  "TSTC")==0) { return "Texas Instruments"; }
	if (strcmp(vendorid, "TSTC2")==0) { return "Texas Instruments 2"; }
	if (strcmp(vendorid,  "ANDV")==0) { return "Analog Devices"; }
	if (strcmp(vendorid,  "GSPN")==0) { return "Globespan"; }
	if (strcmp(vendorid,  "IFTN")==0) { return "Infineon Tech."; }
	if (strcmp(vendorid,  "BDCM")==0) { return "Broadcom"; }
	if (strcmp(vendorid,  "ALCB")==0) { return "Alcatel"; }
	if (strcmp(vendorid,  "CTLM")==0) { return "Centillium"; }
	if (strcmp(vendorid,  "CENT")==0) { return "Centillium"; }
	return vendorid;
}
