/**********************************************************************
 * $Id: speedtouch.h 177 2006-09-24 23:00:54Z timo $
 *
 * DMT-UX
 * DSL Modem Tool for Unix
 *
 * written by Timo Boettcher
 * inspired by A. Matthoefer
 * with help of Michael Beckers
 *
 * (C) 2006 Timo Boettcher
 * This is free software. You may redistribute copies of it under the
 * terms of the GNU General Public License (Version 2)
 * <http://www.gnu.org/licenses/gpl.html>.
 * There is NO WARRANTY, to the extent permitted by law.
 *
 *********************************************************************/

#ifndef _SPEEDTOUCH_H
#define _SPEEDTOUCH_H

#define MSGLEVEL_INFORMATION 0
#define MSGLEVEL_WARNING 1
#define MSGLEVEL_CRITICAL 2
#define MSGLEVEL_DIE 3

void parser_init(char* ausername, char* apassword, IntArray* adsl_bitalloc, IntArray* adsl_snr, IntArray* adsl_noisemargin, IntArray* adsl_chancharlog, StringList* acommandlist, unsigned int* adsl_errorsecs, Modem* amodemdata, void (*acallback_sendsocket)(int, char*), int asock, void (*acallback_messagewrite)(int MESSAGE_LEVEL, char* message));
unsigned char handle_data(char* data);
void parse_data(StringList* list);
void parse_tonedata(IntArray* array, char* end_str, char* token, int factor);

#endif //_SPEEDTOUCH_H
