/**********************************************************************
 * $Id: dsl-standards.c 139 2006-09-05 20:24:05Z timo $
 *
 * DMT-UX
 * DSL Modem Tool for Unix
 *
 * written by Timo Boettcher
 * inspired by A. Matthoefer
 * with help of Michael Beckers
 *
 * (C) 2006 Timo Boettcher
 * This is free software. You may redistribute copies of it under the
 * terms of the GNU General Public License (Version 2)
 * <http://www.gnu.org/licenses/gpl.html>.
 * There is NO WARRANTY, to the extent permitted by law.
 *
 *********************************************************************/

#include <string.h>
#include "dsl-standards.h"

char* dslstandard(char* dslstandardid) {

	if (strstr(dslstandardid, "G.992.1")        !=0) { return "G.dmt"; }
	if (strstr(dslstandardid, "G.992.2")        !=0) { return "G.lite"; }
	if (strstr(dslstandardid, "G.992.3 Annex L")!=0) { return "RE-ADSL2"; }
	if (strstr(dslstandardid, "G.992.3")        !=0) { return "ADSL2"; }
	if (strstr(dslstandardid, "G.992.4")        !=0) { return "ADSL2"; }
	if (strstr(dslstandardid, "G.992.5")        !=0) { return "ADSL2+"; }
	if (strstr(dslstandardid, "G.994.1")        !=0) { return "G.hs+"; }
	return dslstandardid;
}
